<?php

class HttpHeaderParser
{
	protected $rawResponse = '';
	protected $headers = array();
	protected $finalStatusCode = '';
	protected $responseContent = '';
	
	public function __construct()
	{
		
	}
	
	/**
	 * @return HttpHeaderParser
	 */
	public static function factory()
	{
		return new self();
	}
	
	/**
	 * @param string
	 * @return HttpHeaderParser
	 */
	public function setRawResponse( $rawResponse )
	{
		$this->rawResponse = $rawResponse;
		return $this;
	}	
	
	/**
	 * @return array
	 */
	public function getHeaders( )
	{
		return $this->headers;
	}
	
	/**
	 * @return string
	 */
	public function getFinalStatusCode( )
	{
		return $this->finalStatusCode;
	}
	
	/**
	 * @return string
	 */
	public function getResponseContent( )
	{
		return $this->responseContent;
	}
	
	public function parse()
	{
		$this->headers = array();
		$this->responseContent = ''; 

		if( empty($this->rawResponse) || ( false === strpos( $this->rawResponse, "\r\n\r\n" ) ) )
		{
			throw new Exception( 'Response doesnt contains headers or aren\'t properly formatted.' );
		}
		$parseResponseArray = explode( "\r\n\r\n", $this->rawResponse );
		foreach( $parseResponseArray as $responseValue )
		{
			if( 0 === strpos( $responseValue, 'HTTP/' ) ) // header must begin with protocol and version
			{
				if( 0 != preg_match( '/(HTTP\/[0-9.]{3}) ([0-9]{3})/', $responseValue, $matches ) )
				{
					$this->finalStatusCode = $matches[2];
					$this->headers[] = $responseValue;
				}
				else
				{
					// wrong header. ignore.
				}
			}
			else
			{
				$this->responseContent .= $responseValue;
			}
		}
		
		return $this;
	}
	
}