<?php 

require_once('./HttpHeaderParser.php');

abstract class command {
	
	protected $urlApi = 'https://dinahosting.com/special/api.php'; 
	protected $responseType = 'Json';
	
	protected $username;
	protected $password;
	protected $args;
	
	
	/**
	 * @return the $urlApi
	 */
	public function getUrlApi() {
		return $this->urlApi;
	}
	
	/**
	 * @return the $responseType
	 */
	public function getResponseType() {
		return $this->responseType;
	}
	
	/**
	 * @return the $username
	 */
	public function getUsername() {
		return $this->username;
	}

	/**
	 * @return the $password
	 */
	public function getPassword() {
		return $this->password;
	}

	/**
	 * @return the $args
	 */
	public function getArgs() {
		return $this->args;
	}

	/**
	 * @param $username the $username to set
	 */
	public function setUsername($username) {
		$this->username = $username;
	}

	/**
	 * @param $password the $password to set
	 */
	public function setPassword($password) {
		$this->password = $password;
	}

	/**
	 * @param $args the $args to set
	 */
	public function setArgs($args) {
		$this->args = $args;
	}

	protected function execute() {
		
		$this->args = ( is_array ( $this->args ) ? http_build_query ( $this->args, '', '&' ) : $this->args );
	    $headers = array();
	    
	    $handle = curl_init($this->urlApi);
	    if( $handle === false ) // error starting curl
	    {
	        $error = '0 - Couldn\'t start curl';
	    }
	    else
	    {
	        curl_setopt ( $handle, CURLOPT_FOLLOWLOCATION, true );
	        curl_setopt ( $handle, CURLOPT_RETURNTRANSFER, true );
	        curl_setopt ( $handle, CURLOPT_URL, $this->urlApi );
	        
	        curl_setopt( $handle, CURLOPT_USERPWD, $this->username.':'.$this->password );
	        curl_setopt( $handle, CURLOPT_HTTPAUTH, CURLAUTH_BASIC );
	        
	        curl_setopt( $handle, CURLOPT_TIMEOUT, 60 );
	        curl_setopt( $handle, CURLOPT_CONNECTTIMEOUT, 3);
	        
	        curl_setopt ( $handle, CURLOPT_HEADER, true );
	        curl_setopt ( $handle, CURLOPT_HTTPHEADER, $headers );
	        
	        $curlversion = curl_version();
	        curl_setopt ( $handle, CURLOPT_USERAGENT, 'PHP '.phpversion().' + Curl '.$curlversion['version'] );
	        curl_setopt ( $handle, CURLOPT_REFERER, null );
	    
	        curl_setopt ( $handle, CURLOPT_POSTFIELDS, $this->args );
	        curl_setopt ( $handle, CURLOPT_POST, true );
	        curl_setopt ( $handle, CURLOPT_SSL_VERIFYPEER, false );
	        
	        
	        $response = curl_exec ( $handle );
	        if ($response)
	        {
	        	$headersParser = HttpHeaderParser::factory()->setRawResponse( $response )->parse();
	        	$headers = $headersParser->getHeaders();
	        	
	         	$response = $headersParser->getResponseContent();
		        $responseDecoded = json_decode($response, true);
	 
		        $id = str_replace('.', '', microtime(true));
		        echo "<a href='#' onclick='javascript: $(\"#$id\").toggle();' style='text-decoration: none;'>Ver var_dumps respuesta";
		        echo "<div id='$id' class='oculto'>";
		        echo '<h3>Response:</h3>';
		        echo '<pre>'; var_dump($response); echo '</pre><br />';
		        echo '<h3>Response decoded:</h3>';
		        echo '<pre>'; var_dump($responseDecoded); echo '</pre><br />';
	  			echo "</div></a><br />";
		        
		        if( $responseDecoded === false )
		        {
		            echo 'Error decoding response';
		        }
		        else
		        { 
		            // parse response
		            if ( false === isset($responseDecoded['responseCode']) ) 
		            {
						//no responseCode
		            }
		            else if( $responseDecoded['responseCode'] == 1000 )
		            {
		                // ok
		                $data = $responseDecoded['data'];
		            }
		            else 
		            {
		                // normal error
		                $errors = $responseDecoded['errors'];
		            }            
		        }
	        }
	        else // http response code != 200
	        {
	            $errors = curl_errno ( $handle ) . ' - ' . curl_error ( $handle );
	        }
	        
	        curl_close($handle);
	        
	        $returnData = array();
	        if (isset($data)) {

	        	$returnData['data'] = $data;
	        }
	        if (isset($errors)) {
				
	        	$returnData['errors'] = $errors;
	        }
	        
	        return $returnData;
	    } 
	}
}

?>