<?php 

require_once('command.php');

class test extends command {
	
	public function __construct($username, $password) {
		
		$this->username = $username;
		$this->password = $password;
	}

	public function executeMethod() {
		
		$response = $this->execute();
		
		$noErrors = true;
	    if ( isset($response['errors']) ) {

			$this->showErrors($response['errors']);
			$noErrors = false;
		}

		return isset($response['data']) ? $response : $noErrors;
	}
	
	private function showErrors($errors) {
		
		echo '<h3>Errors</h3>';
		echo '<ul style="color: #FF0000;">';
		
		if (is_array($errors))
		{
        	foreach($errors as $error) {
        	
        		echo '<li><span>Error Number ' . $error['code'] . ', ' . $error['message'] . '</span></li>' ;
        	}
		}
		elseif (is_string($errors))
		{
		    echo '<li><span>' . $errors . '</span></li>';
		}

		echo '</ul>';
	}

	private function showResults($response) {
		
		if ($response !== false) {

			if (is_array($response['data'])) {
				
				if (count($response['data']) > 0) {
					
					echo '<h3>Data:</h3>';
					echo '<ul>';
					$this->showArrayData($response['data']);
					echo '</ul>';
				}
				else {
					
					echo 'no results';
				}
			}
			else {
			    
			    if ($response['data'] !== null && $response['data'] != '')
			    {
			        if (is_bool($response['data']))
			        {
			            echo $response['data'] ? 'true' : 'false';
			        }
			        else
			        {
			            echo $response['data'];
			        }
			    }
			    else
			    {
				    echo 'no results';
			    }
			}
		}	
	}

	private function showArrayData($data) {
		
		foreach($data as $name => $value) {
			
			echo '<span>' . $name . ': </span>';

			if (is_array($value)) {
				
				echo '<ul>';
				
				if (count($value) > 0) {
				
					$this->showArrayData($value);
				}
				else {
					
					echo 'no results';
				}
				
				echo '</ul>';
			} 
			else {
				
				echo $value;
			}
			
			echo '<br />';
		}
	}

	
	public function Dedicated_Control_GetApacheProcesses() {
		
		$this->showResults($this->executeMethod());
	}
	
	public function Dedicated_Control_GetCpuLoadByHosting() {
		
		$this->showResults($this->executeMethod());
	}
	
	public function Dedicated_Control_GetMysqlProcesses() {
		
		$this->showResults($this->executeMethod());
	}
	
	public function Dedicated_Control_GetSystemLoad() {
		
		$this->showResults($this->executeMethod());
	}
	
	public function Dedicated_Control_GetSystemStatus() {
		
		$this->showResults($this->executeMethod());
	}
	
	public function Dedicated_Control_GetWebserverStatus() {
		
		$this->showResults($this->executeMethod());
	}
	
	public function Dedicated_Control_KillApacheProcess() {
		
		if ($this->executeMethod() !== false) {
			
			echo 'Apache process has been killed succesfully.';
		}
	}
	
	public function Dedicated_Control_KillMysqlProcess() {
		
		if ($this->executeMethod() !== false) {
			
			echo 'MySql process has been killed succesfully.';
		}
	}
	
	public function Dedicated_GetBandwidthConsumption() {
		
		$this->showResults($this->executeMethod());
	}
	
	public function Dedicated_GetDataTransferInfo() {
		
		$this->showResults($this->executeMethod());
	}
	
	public function Dedicated_GetLicenses() {
		
		$this->showResults($this->executeMethod());
	}
	
	public function Dedicated_GetServerInfo() {
		
		$this->showResults($this->executeMethod());
	}
	
	public function Dedicated_GetTransferValue() {
		
		$this->showResults($this->executeMethod());
	}
	
	public function Dedicated_GetUsedSpace() {
		
		$this->showResults($this->executeMethod());
	}
	
	public function Dedicated_Hosting_ChangeSetup() {

		if ($this->executeMethod() !== false) {
			
			echo 'setup has been changed successfully.';
		}
	}

	public function Dedicated_Hosting_Create() {

		if ($this->executeMethod() !== false) {
			
			echo 'hosting has been created successfully.';
		}
	}

	public function Dedicated_Hosting_GetAll() {

		$this->showResults($this->executeMethod());
	}

	public function Dedicated_Hosting_GetSpace() {

		$this->showResults($this->executeMethod());
	}
	
	public function Dedicated_HostingSetup_Create() {
		
		if ($this->executeMethod() !== false) {
			
			echo 'hosting setup has been created successfully.';
		}
	}
	
	public function Dedicated_HostingSetup_Delete() {
		
		if ($this->executeMethod() !== false) {
			
			echo 'hosting setup has been deleted successfully.';
		}
	}
	
	public function Dedicated_HostingSetup_Get() {
		
		$this->showResults($this->executeMethod());
	}
	
	public function Dedicated_HostingSetup_GetAll() {
		
		$this->showResults($this->executeMethod());
	}
	
	public function Dedicated_HostingSetup_GetCustomSetups() {
		
		$this->showResults($this->executeMethod());
	}
	
	public function Dedicated_HostingSetup_GetDhSetups() {
		
		$this->showResults($this->executeMethod());
	}
	
	public function Dedicated_HostingSetup_GetOptions() {
		
		$this->showResults($this->executeMethod());
	}
	
	public function Dedicated_HostingSetup_Update() {
		
		if ($this->executeMethod() !== false) {
			
			echo 'hosting setup has been updated successfully.';
		}
	}
	
	public function Dedicated_Kvm_Get() {
		
		$this->showResults($this->executeMethod());
	}
	
	public function Dedicated_Kvm_Mount() {
		
		if ($this->executeMethod() !== false) {
			
			echo 'the kvm has been mounted successfully';
		}
	}
	
	public function Dedicated_Kvm_Unmount() {
		
		if ($this->executeMethod() !== false) {
			
			echo 'the kvm has been unmounted successfully';
		}
	}

	public function Dedicated_MailReport_Get() {
		
		$this->showResults($this->executeMethod());
	}
	
	public function Dedicated_MailReport_Set() {
		
		if ($this->executeMethod() !== false) {
			
			echo 'the mail report has been setted successfully';
		}
	}
	
	public function Dedicated_MailReport_SetOff() {
		
		if ($this->executeMethod() !== false) {
			
			echo 'the mail report has been setted off successfully';
		}
	}
	
	public function Dedicated_Monitorization_Activate() {
		
		if ($this->executeMethod() !== false) {
			
			echo 'the monitorization has been activated off successfully';
		}
	}
	
	public function Dedicated_Monitorization_Deactivate() {
		
		if ($this->executeMethod() !== false) {
			
			echo 'the monitorization has been deactivated off successfully';
		}
	}
	
	public function Dedicated_Monitorization_Get() {

		$this->showResults($this->executeMethod());
	}
	
	public function Dedicated_PowerStatus_Restart() {  //fatal error en los servidores de bancodepruebas.
		
		if ($this->executeMethod() !== false) {
			
			echo 'the restart action has been started successfully';
		}
	}

	public function Dedicated_Services_ChangeStatus() { //command failed server linux start/stop cuando ya est� arrancada o parado el servicio.
		
		if ($this->executeMethod() !== false) {
			
			echo 'Success';
		}
	}
	
	public function Dedicated_Services_GetAll() {
		
		$this->showResults($this->executeMethod());
	}
	
	public function Domain_Contacts_Get() {
		
		$this->showResults($this->executeMethod());
	}
	
	public function Domain_Contacts_GetAll() {
		
		$this->showResults($this->executeMethod());
	}
	
	public function Domain_Contacts_Set() {
		
		if ($this->executeMethod() !== false) {
			
			echo '<br />inserted';
		}	
	}
	
	public function Domain_Contacts_SetAll() {

		if ($this->executeMethod() !== false) {
			
			echo '<br />inserted';
		}	
	}
	
	public function Domain_Dnss_Get() {
		
		$this->showResults($this->executeMethod());
	}
	
	public function Domain_Dnss_Set() {
		
		if ($this->executeMethod() !== false) {
			
			echo 'inserted';
		}
	}	
	
	public function Domain_GetAuthcode() {
		
		$this->showResults($this->executeMethod());
	}
	
	public function Domain_GetExpirationDate() {
		
		$this->showResults($this->executeMethod());
	}
	
	public function Domain_GetInfoDomain() {
		
		$this->showResults($this->executeMethod());
	}
	
	public function Domain_GetRegistrationDate() {
		
		$this->showResults($this->executeMethod());
	}
	
	public function Domain_NameServer_Delete() {
		
		if ($this->executeMethod() !== false) {
			
			echo 'deleted';
		}
	}
	
	public function Domain_NameServer_GetAll() {
		
		$this->showResults($this->executeMethod());
	}
	
	public function Domain_NameServer_Modify() {
		
		$this->showResults($this->executeMethod());
	}
	
	public function Domain_NameServer_Register() {
		
		if ($this->executeMethod() !== false) {
			
			echo 'registered';
		}
	}
	
	public function Domain_PanelIndependentAccess_GetData() {
		
		$this->showResults($this->executeMethod());
	}
	
	public function Domain_PanelIndependentAccess_SetPassword() {
		
		if ($this->executeMethod() !== false) {
			
			echo 'the password has been changed successfully';
		}
	}
	
	public function Domain_Parking_Get() {
		
		$this->showResults($this->executeMethod());
	}
	
	public function Domain_Parking_Set() {
		
		if ($this->executeMethod() !== false) {
			
			echo 'inserted';
		}
	}
	
	public function Domain_Redirection_Delete() {
		
		if ($this->executeMethod() !== false) {
			
			echo 'deleted';
		}
	}
	
	public function Domain_Redirection_Get() {
		
		$this->showResults($this->executeMethod());
	}
	
	public function Domain_Redirection_Set301() {
		
		if ($this->executeMethod() !== false) {
			
			echo '301 Redirection setted';
		}
	}
	
	public function Domain_Redirection_SetFrame() {
		
		if ($this->executeMethod() !== false) {
			
			echo 'Frame Redirection setted';
		}
	}
	
	public function Domain_Redirection_SetStd() {
		
		if ($this->executeMethod() !== false) {
			
			echo 'Url Redirection setted';
		}
	}
	
	public function Domain_Status_Get() {
		
		$this->showResults($this->executeMethod());
	}
	
	public function Domain_Status_Lock() {
		
		if ($this->executeMethod() !== false) {
			
			echo 'domain locked successfully';
		}	
	}
		
	public function Domain_Status_Unlock() {
		
		if ($this->executeMethod() !== false) {
			
			echo 'domain unlocked successfully';
		}	
	}
	
	public function Domain_Test() {
		
		$this->showResults($this->executeMethod());
	}
	
	public function Domain_Transfer_GetAuthcode() {
		
		$this->showResults($this->executeMethod());
	}
	
	public function Domain_Transfer_SetAuthcode() {
		
		if ($this->executeMethod() !== false) {
			
			echo 'new authcode setted successfully';
		}
	}
	
	public function Domain_Transfer_GetStatus() {
		
		$this->showResults($this->executeMethod());
	}

	public function Domain_WhoisPrivacy_Get() {
		
		$this->showResults($this->executeMethod());
	}
	
	public function Domain_WhoisPrivacy_Set() {
		
		if ($this->executeMethod() !== false) {
			
			echo 'new whois privacy setted successfully';
		}
	}
	
	public function Domain_Zone_GetAll() {
		
		$this->showResults($this->executeMethod());
	}
	
	public function Domain_Zone_GetTypeA() {
		
		$this->showResults($this->executeMethod());
	}
	
	public function Domain_Zone_AddTypeA() {
		
		if ($this->executeMethod() !== false) {
			
			echo 'new type A Zone setted successfully';
		}
	}
	
	public function Domain_Zone_GetTypeAAAA() {
		
		$this->showResults($this->executeMethod());
	}
	
	public function Domain_Zone_AddTypeAAAA() {
		
		if ($this->executeMethod() !== false) {
			
			echo 'new type AAAA Zone setted successfully';
		}
	}
	
	public function Domain_Zone_GetTypeCname() {
		
		$this->showResults($this->executeMethod());
	}
	
	public function Domain_Zone_AddTypeCname() {
		
		if ($this->executeMethod() !== false) {
			
			echo 'new type Cname Zone setted successfully';
		}
	}
	
	public function Domain_Zone_GetTypeFrame() {
		
		$this->showResults($this->executeMethod());
	}
	
	public function Domain_Zone_AddTypeFrame() {
		
		if ($this->executeMethod() !== false) {
			
			echo 'new type AAAA Zone setted successfully';
		}
	}
	
	public function Domain_Zone_GetTypeMX() {
		
		$this->showResults($this->executeMethod());
	}
	
	public function Domain_Zone_AddTypeMX() {
		
		if ($this->executeMethod() !== false) {
			
			echo 'new type MX Zone setted successfully';
		}
	}
	
	public function Domain_Zone_GetTypeSPF() {
		
		$this->showResults($this->executeMethod());
	}
	
	public function Domain_Zone_AddTypeMXS() {
		
		if ($this->executeMethod() !== false) {
			
			echo 'new type MXS Zone setted successfully';
		}
	}
	
	public function Domain_Zone_GetTypeSRV() {
		
		$this->showResults($this->executeMethod());
	}
	
	public function Domain_Zone_AddTypeSRV() {
		
		if ($this->executeMethod() !== false) {
			
			echo 'new type SRV Zone setted successfully';
		}
	}
	
	public function Domain_Zone_GetTypeTXT() {
		
		$this->showResults($this->executeMethod());
	}
	
	public function Domain_Zone_AddTypeTXT() {
		
		if ($this->executeMethod() !== false) {
			
			echo 'new type TXT Zone setted successfully';
		}
	}
	
	public function Domain_Zone_GetTypeURL() {
		
		$this->showResults($this->executeMethod());
	}
	
	public function Domain_Zone_AddTypeURL() {
		
		if ($this->executeMethod() !== false) {
			
			echo 'new type URL Zone setted successfully';
		}
	}
	
	public function Domain_Zone_GetTypeURL301() {
		
		$this->showResults($this->executeMethod());
	}
	
	public function Domain_Zone_AddTypeURL301() {
		
		if ($this->executeMethod() !== false) {
			
			echo 'new type URL301 Zone setted successfully';
		}
	}
	
	public function Domain_Zone_Delete() {
		
		if ($this->executeMethod() !== false) {
			
			echo 'zone deleted successfully';
		}
	}
	
	public function Domain_Zone_DeleteAll() {
		
		if ($this->executeMethod() !== false) {
			
			echo 'zones deleted successfully';
		}
	}
	
	public function Domain_Zone_DeleteTypeA() {
		
		if ($this->executeMethod() !== false) {
			
			echo 'TypeA zone deleted successfully';
		}
	}
	
	public function Domain_Zone_DeleteTypeAAAA() {
		
		if ($this->executeMethod() !== false) {
			
			echo 'TypeAAAA zone deleted successfully';
		}
	}
	
	public function Domain_Zone_DeleteTypeSRV() {
		
		if ($this->executeMethod() !== false) {
			
			echo 'SRV zone deleted successfully';
		}
	}
	
	public function Hosting_Ddbb_Access_GetAllMdb() {
		
		$this->showResults($this->executeMethod());
	}
	
	public function Hosting_Ddbb_Mysql_Backup_Get() {
		
		$this->showResults($this->executeMethod());
	}
	
	public function Hosting_Ddbb_Mysql_Backup_Restore() {
		
		if ($this->executeMethod() !== false) {
			
			echo 'DDBB restored successfully';
		}
	}
	
	public function Hosting_Ddbb_Mysql_BackupTask_Delete() {
		
		if ($this->executeMethod() !== false) {
			
			echo 'DDBB task deleted successfully';
		}
	}
	
	public function Hosting_Ddbb_Mysql_BackupTask_GetAll() {
		
		$this->showResults($this->executeMethod());
	}
	
	public function Hosting_Ddbb_Mysql_BackupTask_Set() {
		
		if ($this->executeMethod() !== false) {
			
			echo 'mysql backup task has been setted successfully';
		}
	}
	
	public function Hosting_Ddbb_Mysql_Create() {
		
		$ddbbName = $this->args['ddbbName'];
		
		if ($this->executeMethod() !== false) {
			
			echo 'mysql database "' . $ddbbName . '" has been created successfully';
		}
	}
	
	public function Hosting_Ddbb_Mysql_Delete() {
		
		$ddbbName = $this->args['ddbbName'];
		
		if ($this->executeMethod() !== false) {

			echo 'mysql database "' . $ddbbName . '" has been removed successfully';
		}
	}
	
	public function Hosting_Ddbb_Mysql_GetAclConfiguration() {
		
		$this->showResults($this->executeMethod());
	}
	
	public function Hosting_Ddbb_Mysql_GetAll() {
		
		$this->showResults($this->executeMethod());
	}
	
	public function Hosting_Ddbb_Mysql_GetInfo() {
		
		$this->showResults($this->executeMethod());
	}
	
	public function Hosting_Ddbb_Mysql_SetHostAcl() {
		
		if ($this->executeMethod() !== false) {
			
			echo 'Acl host setted';
		}
	}
	
	public function Hosting_Ddbb_Mysql_SetIpAcl() {
		
		if ($this->executeMethod() !== false) {
			
			echo 'Acl ip setted';
		}
	}
	
	public function Hosting_Ddbb_Mysql_SetPassword() {
		
		if ($this->executeMethod() !== false) {
			
			echo 'password has been updated succesfully';
		}
	}
	
	public function Hosting_Ddbb_Postgre_Create() {
		
		$ddbbName = $this->args['ddbbName'];
		
		if ($this->executeMethod() !== false) {
			
			echo 'postgre database "' . $ddbbName . '" has been created successfully';
		}
	}
	
	public function Hosting_Ddbb_Postgre_Delete() {
		
		$ddbbName = $this->args['ddbbName'];
		
		if ($this->executeMethod() !== false) {
			
			echo 'postgre database "' . $ddbbName . '" has been deleted successfully';
		}
	}
	
	public function Hosting_Ddbb_Postgre_GetAll() {
		
		$this->showResults($this->executeMethod());
	}
	
	public function Hosting_Ddbb_Sqlserver_Create() {
		
		$ddbbName = $this->args['ddbbName'];
		
		if ($this->executeMethod() !== false) {
			
			echo 'SqlServer database "' . $ddbbName . '" has been created successfully';
		}
	}
	
	public function Hosting_Ddbb_Sqlserver_Delete() {
		
		$ddbbName = $this->args['ddbbName'];
		
		if ($this->executeMethod() !== false) {
			
			echo 'SqlServer database "' . $ddbbName . '" has been deleted successfully';
		}
	}
	
	public function Hosting_Ddbb_Sqlserver_GetAll() {
		
		$this->showResults($this->executeMethod());
	}
	
	public function Hosting_Ddbb_Sqlserver_GetSpaceInfo() {
		
		$this->showResults($this->executeMethod());
	}
	
	public function Hosting_Ddbb_Sqlserver_SetDataSize() {
		
		if ($this->executeMethod() !== false) {
			
			echo 'the data size has been update successfully';
		}
	}
	
	public function Hosting_Ddbb_Sqlserver_SetPassword() {
		
		if ($this->executeMethod() !== false) {
			
			echo 'the password has been updated successfully';
		}
	}
	
	public function Hosting_Ddbb_Sqlserver_SetTransactionsSize() {
		
		if ($this->executeMethod() !== false) {
			
			echo 'the transaction size has been updated successfullly';
		}
	}
	
	public function Hosting_Dsn_Access_Create() {
		
		if ($this->executeMethod() !== false) {
			
			echo 'the dsn has been created successfully';
		}
	}
	
	public function Hosting_Dsn_Access_Delete() {
		
		if ($this->executeMethod() !== false) {
			
			echo 'the dsn has been deleted successfully';
		}
	}
	
	public function Hosting_Dsn_Access_GetAll() {
		
		$this->showResults($this->executeMethod());
	}
	
	public function Hosting_Dsn_Mysql_Create() {
		
		if ($this->executeMethod() !== false) {
			
			echo 'the dsn has been created successfully';
		}
	}
	
	public function Hosting_Dsn_Mysql_Delete() {
		
		if ($this->executeMethod() !== false) {
			
			echo 'the dsn has been deleted successfully';
		}
	}
	
	public function Hosting_Dsn_Mysql_GetAll() {
		
		$this->showResults($this->executeMethod());
	}
	
	public function Hosting_Dsn_Sqlserver_Create() {
		
		if ($this->executeMethod() !== false) {
			
			echo 'the dsn has been created successfully';
		}
	}
	
	public function Hosting_Dsn_Sqlserver_Delete() {
		
		if ($this->executeMethod() !== false) {
			
			echo 'the dsn has been deleted successfully';
		}
	}
	
	public function Hosting_Dsn_Sqlserver_GetAll() {
		
		$this->showResults($this->executeMethod());
	}
	
	public function Hosting_Email_Account_Activate() {
		
		$email = $this->args['account'] . '@' . $this->args['hosting'];
		
		if ($this->executeMethod() !== false) {
			
			echo 'the email account "' . $email . '" has been activated successfully';
		}
	}
	
	public function Hosting_Email_Account_Create() {
		
		$email = $this->args['account'] . '@' . $this->args['hosting'];
		
		if ($this->executeMethod() !== false) {
			
			echo 'the email account "' . $email . '" has been created successfully';
		}
	}
	
	public function Hosting_Email_Account_Deactivate() {
		
		$email = $this->args['account'] . '@' . $this->args['hosting'];
		
		if ($this->executeMethod() !== false) {
			
			echo 'the email account "' . $email . '" has been deactivated successfully';
		}
	}
	
	public function Hosting_Email_Account_Delete() {
		
		$email = $this->args['account'] . '@' . $this->args['hosting'];
		
		if ($this->executeMethod() !== false) {
			
			echo 'the email account "' . $email . '" has been deleted successfully';
		}
	}

	public function Hosting_Email_Account_Empty() {
		
		$email = $this->args['account'] . '@' . $this->args['hosting'];
		
		if ($this->executeMethod() !== false) {
			
			echo 'the email account "' . $email . '" has been emptied successfully';
		}
		
	}
	
	public function Hosting_Email_Account_GetAll() {
		
		$this->showResults($this->executeMethod());
	}
	
	public function Hosting_Email_Account_GetCopyTo() {
		
		$this->showResults($this->executeMethod());
	}
	
	public function Hosting_Email_Account_SetCopyTo() {
		
		$email = $this->args['account'] . '@' . $this->args['hosting'];
	
		if ($this->executeMethod() !== false) {
			
			echo 'the copy-to email accounts has added to "' . $email  . '" successfully';
		}
	}
	
	public function Hosting_Email_Account_SetPassword() {
		
		$email = $this->args['account'] . '@' . $this->args['hosting'];
	
		if ($this->executeMethod() !== false) {
			
			echo 'the new password to "' . $email  . '" has been setted successfully';
		}
	}
	
	public function Hosting_Email_Antispam_Activate() {
	
		if ($this->executeMethod() !== false) {
			
			echo 'the antispam filter has been activated successfully';
		}
	}
	
	public function Hosting_Email_Antispam_AddDomainToBlacklist() {
		
		$domain = $this->args['domain'];
		
		if ($this->executeMethod() !== false) {
			
			echo 'the domain "' . $domain . '" has added to black list successfully';
		}
	}
	
	public function Hosting_Email_Antispam_AddDomainToWhitelist() {
		
		$domain = $this->args['domain'];
		
		if ($this->executeMethod() !== false) {
			
			echo 'the domain "' . $domain . '" has added to white list successfully';
		}
	}
	
	public function Hosting_Email_Antispam_Deactivate() {
		
		if ($this->executeMethod() !== false) {
			
			echo 'the antispam filter has been deactivated successfully';
		}
	}
	
	public function Hosting_Email_Antispam_GetWhiteList() {

		$this->showResults($this->executeMethod());
	}
	
	public function Hosting_Email_Antispam_GetBlackList() {

		$this->showResults($this->executeMethod());
	}
	
	public function Hosting_Email_Antispam_GetConfig() {
		
		$this->showResults($this->executeMethod());
	}
	
	public function Hosting_Email_Antispam_GetScore() {
		
		$this->showResults($this->executeMethod());
	}
	
	public function Hosting_Email_Antispam_RemoveDomainFromBlacklist() {
		
		$domain = $this->args['domain'];
		
		if ($this->executeMethod() !== false) {
			
			echo 'the domain "' . $domain . '" has been removed from black list successfully';
		}
	}
	
	public function Hosting_Email_Antispam_RemoveDomainFromWhitelist() {
		
		$domain = $this->args['domain'];
		
		if ($this->executeMethod() !== false) {
			
			echo 'the domain "' . $domain . '" has been removed from white list successfully';
		}
	}

	public function Hosting_Email_Antivirus_GetAttachedFilesFilters() {
		
		$this->showResults($this->executeMethod());
	}
	
	public function Hosting_Email_Antivirus_GetConfig() {
		
		$this->showResults($this->executeMethod());
	}
	
	public function Hosting_Email_Antivirus_SetConfig() {
		
		if ($this->executeMethod() !== false) {
			
			echo 'the antivirus config for email has been setted successfully';
		}
	}
	
	public function Hosting_Email_Antivirus_UpdateAttachedFileFilter() {
		
		if ($this->executeMethod() !== false) {
			
			echo 'the antivirus attached file filter for email has been updated successfully';
		}
	}
	
	public function Hosting_Email_Autoresponse_Activate() {
		
		if ($this->executeMethod() !== false) {
			
			echo 'the autoresponse has been activated successfully';
		}
	}
	
	public function Hosting_Email_Autoresponse_Create() {
		
		if ($this->executeMethod() !== false) {
			
			echo 'the autoresponse has been created successfully';
		}
	}
	
	public function Hosting_Email_Autoresponse_Deactivate() {
		
		if ($this->executeMethod() !== false) {
			
			echo 'the autoresponse has been deactivated successfully';
		}
	}
	
	public function Hosting_Email_Autoresponse_Get() {
		
		$this->showResults($this->executeMethod());
	}
	
	public function Hosting_Email_DistributionList_Create() {
		
		if ($this->executeMethod() !== false) {
			
			echo 'the distribution list has been deactivated successfully';
		}
	}
	
	public function Hosting_Email_DistributionList_Delete() {
		
		if ($this->executeMethod() !== false) {
			
			echo 'the distribution list has been deleted successfully';
		}
	}
	
	public function Hosting_Email_DistributionList_GetAll() {
		
		$this->showResults($this->executeMethod());
	}
	
	public function Hosting_Email_DistributionList_SetEmail() {
		
		if ($this->executeMethod() !== false) {
			
			echo 'the owner email for the distribution list has been updated successfully';
		}
	}
	
	public function Hosting_Email_DistributionList_SetPassword() {
		
		if  ($this->executeMethod() !== false) {
			
			echo 'the password for the distribution list has been updated successfully';
		}
	}
	
	public function Hosting_Email_Filter_Create() {
		
		if ($this->executeMethod() !== false) {
			
			echo 'the email filter has been created successfully';
		}
	}
	
	public function Hosting_Email_Filter_Delete() {
		
		if ($this->executeMethod() !== false) {
			
			echo 'the email filter has been deleted successfully';
		}
	}
	
	public function Hosting_Email_Filter_GetAll() {
		
		$this->showResults($this->executeMethod());
	}
	
	public function Hosting_Email_Filter_GetGeolocalization() {
		
		$this->showResults($this->executeMethod());
	}
	
	public function Hosting_Email_Filter_SetGeolocalization() {
		
		if ($this->executeMethod() !== false) {
			
			echo 'the email filter geolocalization has been updated successfully';
		}
	}
	
	public function Hosting_Email_Redirection_ActivateCatchAll() {
			
		if ($this->executeMethod() !== false) {
			
			echo 'the redirection "catch all" option has been activated successfully';
		}
	}
	
	public function Hosting_Email_Redirection_Create() {
		
		if ($this->executeMethod() !== false) {
			
			echo 'the email redirection has been created successfully';
		}
	}
	 
	public function Hosting_Email_Redirection_DeactivateCatchAll() {
		
		if ($this->executeMethod() !== false) {
			
			echo 'the redirection "catch all" option has been deactivated successfully';
		}
	}
	
	public function Hosting_Email_Redirection_Delete() {
		
		if ($this->executeMethod() !== false) {
			
			echo 'the email redirection has been deleted successfully';
		}
	}
	
	public function Hosting_Email_Redirection_Get() {
		
		$this->showResults($this->executeMethod());
	}
	
	public function Hosting_Email_Redirection_GetAll() {
		
		$this->showResults($this->executeMethod());
	}
	
	public function Hosting_Email_Redirection_Update() {
			
		if ($this->executeMethod() !== false) {
			
			echo 'the email redirection has been updated successfully';
		}
	}
	
	public function Hosting_Ftp_Account_Create() {
		
		if ($this->executeMethod() !== false) {
			
			echo 'the ftp account has been created successfully';
		}
	}
	
	public function Hosting_Ftp_Account_Delete() {
		
		if ($this->executeMethod() !== false) {
		
			echo 'the ftp account has been deleted successfully';
		}
	}
	
	public function Hosting_Ftp_Account_GetAll() {
		
		$this->showResults($this->executeMethod());
	}
	
	public function Hosting_Ftp_Account_SetPassword() {
		
		if ($this->executeMethod() !== false) {
		
			echo 'the ftp account password has been updated successfully';
		}
	}
	
	public function Hosting_Ftp_Activate() {
		
		if ($this->executeMethod() !== false) {
		
			echo 'the ftp has been activated successfully';
		}
	}
	
	public function Hosting_Ftp_Deactivate() {
		
		if ($this->executeMethod() !== false) {
		
			echo 'the ftp has been deactivated successfully';
		}
	}
	
	public function Hosting_Ftp_Get() {
		
		$this->showResults($this->executeMethod());
	}
	
	public function Hosting_Ftp_GetAccountsLimit() {
		
		$this->showResults($this->executeMethod());
	}
	
	public function Hosting_Ftp_SetOn() {
		
		if ($this->executeMethod() !== false) {
		
			echo 'the ftp has been setted on successfully';
		}
	}
	
	public function Hosting_Ftp_SetOff() {
		
		if ($this->executeMethod() !== false) {
		
			echo 'the ftp has been setted off successfully';
		}
	}
	
	public function Hosting_GetInfo() {
		
		$this->showResults($this->executeMethod());
	}
	
	public function Hosting_Https_Activate() {
		
		if ($this->executeMethod() !== false) {
		
			echo 'the https has been activated successfully';
		}
	}
	
	public function Hosting_Https_Deactivate() {
		
		if ($this->executeMethod() !== false) {
		
			echo 'the https has been deactivated successfully';
		}
	}
	
	public function Hosting_Https_Get() {
		
		$this->showResults($this->executeMethod());
	}
	
	public function Hosting_Https_SetOff() {
		
		if ($this->executeMethod() !== false) {
		
			echo 'the https has been setted off successfully';
		}
	}
	
	public function Hosting_Https_SetOn() {
		
		if ($this->executeMethod() !== false) {
		
			echo 'the https has been setted on successfully';
		}
	}
	
	public function Hosting_Php_ActivatePhpExecutionOnHtml() {
		
		if ($this->executeMethod() !== false) {
		
			echo 'the php execution on html has been activates successfully';
		}
	}
	
	public function Hosting_Php_DeactivatePhpExecutionOnHtml() {
		
		if ($this->executeMethod() !== false) {
		
			echo 'the php execution on html has been deactivated successfully';
		}
	}
	
	public function Hosting_Php_OverwritePhpIni() {
		
		if ($this->executeMethod() !== false) {
		
			echo 'the php ini file has been overwrited successfully';
		}
	}
	
	public function Hosting_Php_OverwritePhpIniWithDefaults() {
		
		if ($this->executeMethod() !== false) {
		
			echo 'the php ini file has been overwrited successfully with defaults';
		}
	}
	
	public function Hosting_Php_PhpExecutionOnHtmlIsActive() {
		
		$this->showResults($this->executeMethod());
	}
	
	public function Hosting_Php_SetVersion() {
		
		if ($this->executeMethod() !== false) {
		
			echo 'the php version has been setted successfully';
		}
	}
	
	public function Hosting_Ssh_Activate() {
		
		if ($this->executeMethod() !== false) {
		
			echo 'the ssh has been activated successfully';
		}
	}
	
	public function Hosting_Ssh_Deactivate() {
		
		if ($this->executeMethod() !== false) {
		
			echo 'the ssh has been deactivated successfully';
		}
	}
	
	public function Hosting_Test() {
		
		$this->showResults($this->executeMethod());
	}
	
	public function Services_GetDedicatedServers() {
		
		$this->showResults($this->executeMethod());
	}	
	
	public function Services_GetDomains() {
		
		$this->showResults($this->executeMethod());
	}
	
	public function Services_GetHostings() {
		
		$this->showResults($this->executeMethod());
	}
	
}

?>