<?php 

  	error_reporting(E_ALL | E_STRICT);
  
  	require_once('./config.php');
	require_once('./commandClass/test.php');
	
	function startsWith($haystack, $needle, $ignoreCase=false) {
    	
		if(!$ignoreCase) { 
			
			return (strcmp(substr($haystack, 0, strlen($needle)),$needle) === 0);
		}
    	return (strcasecmp(substr($haystack, 0, strlen($needle)),$needle) === 0);
	}

	function executeCommand() {
	
		$testObject = new test(USERNAME, PASSWORD);
		
		//Añadimos los parámetros comunes
		$args = array(
						'responseType' => $testObject->getResponseType(),
					 );
		
		//En función del espacio de nombres de la acción que vamos a llamar
		//Añadimos el parámetro con un nombre u otro
		if (startsWith($_POST['command'], 'Domain_')) {
			
			$args['domain'] = DOMAIN;
		}
		elseif (startsWith($_POST['command'], 'Hosting_')) {
			
			$args['hosting'] = HOSTING;
		}
		elseif (startsWith($_POST['command'], 'Dedicated_')) {
			
			$args['serverName'] = SERVER_NAME;
		}
					 
		//Añadimos los parámetros del formulario	 
		foreach ($_POST as $name => $value) {
	
			if (is_array($value)) {
				
				//Si el parámetro es un array, nos deshacemos de los elementos vacíos.
				foreach($value as $name2 => $value2) {
					
					if ($value2 == '') {
						unset($value[$name2]);
					}
				}
			}
			
			if (startsWith($name, 'assoc_')) {
				
				//parseamos estos parámetros, que son arrays asociativos que vienen con el formato
				//assoc_nombreArray_valor
				$arrayDataName = substr( substr($name, 6), 0, strpos(substr($name, 6), '_') );
				$name = substr($name, 6 + strlen($arrayDataName) + 1);
				
				$args[$arrayDataName][$name] = $value;
			}
			else {
	
				$args[$name] = $value;
			}
		}
		
		if (method_exists($testObject, $args['command'])) {
		    
			$testObject->setUsername(USERNAME);
			$testObject->setPassword(PASSWORD);
			$args['serverName'] = SERVER_NAME;
			$testObject->setArgs($args);
			$testObject->$args['command']();
		}
		else {
			
			echo 'The command "' . $args['command'] . '" doesn\'t exists.';
		}
	}
	
	executeCommand();
	